- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions | Private Member Functions
StaticPath< GR >::ArcIt Class Reference

## Detailed Description

### template<typename GR>
class lemon::StaticPath< GR >::ArcIt

This class is used to iterate on the arcs of the paths

Of course it converts to Digraph::Arc

`#include <lemon/path.h>`

## Public Member Functions
| ArcIt ()
| Default constructor.
| ArcIt (Invalid)
| Invalid constructor.
| ArcIt (const StaticPath &_path)
| Initializate the constructor to the first arc of path.
| operator const Arc & () const
| Conversion to Digraph::Arc.
ArcIt & | operator++ ()
| Next arc.
bool | operator== (const ArcIt &e) const
| Comparison operator.
bool | operator!= (const ArcIt &e) const
| Comparison operator.
bool | operator< (const ArcIt &e) const
| Comparison operator.

## Private Member Functions
| ArcIt (const StaticPath &_path, int _idx)
| Constructor with starting point.